#ifndef CIVSIMULRESULTCACHE_H
#define CIVSIMULRESULTCACHE_H

#include <map>
#include "CivDbConn.h"
#include "CivDbConnection.h"
#include "CivTypes.h"

/**
     ģ
*/
class CivSimulResultCache
{
public:
	/**
	*@brief ڵˮ
	*@quality洢ֵ
	*@intervalģڼ
	*@sNo
	*/
	void addNodeQuality(float quality, int interval, Str sNo);

	/**
	*@brief ˮ
	*@quality洢ֵ
	*@intervalģڼ
	*@sNo߱
	*/
	void addLinkQuality(float quality, int interval, Str sNo);

	/**
	*@brief ڵˮģ
	*@nodeItemڵˮֵ
	*/
	void addNodeItems(const NodeResultItem& nodeItem);

	/**
	*@brief ˮģ
	*@linkItemģ
	*/
	void addLinkItems(const LinkResultItem& linkItem);

	/**
	*@brief ͷŻĽֵ
	*/
	void clear();

	/**
	*@brief ݸµݿ
	*@dbConnݿӶ
	*/
	bool updateToDb(CivDbConnection* dbConn);

private:
	std::map<int, NodeResultItems> mNodeItemsMap; // ģ
	std::map<int, LinkResultItems> mLinkItemsMap; // 
};
#endif // !CIVSIMULRESULTCACHE_H
